feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Algorithm.FFT

Synopsis

- fft :: Vector1 (Complex Float) -> Vector1 (Complex Float)
- ifft :: Vector1 (Complex Float) -> Vector1 (Complex Float)

# Documentation

fft :: Vector1 (Complex Float) -> Vector1 (Complex Float)

Radix-2 Decimation-In-Frequeny Fast Fourier Transformation of the given complex vector The given vector must be power-of-two sized, (for example 2, 4, 8, 16, 32, etc.)

ifft :: Vector1 (Complex Float) -> Vector1 (Complex Float)

Radix-2 Decimation-In-Frequeny Inverse Fast Fourier Transformation of the given complex vector The given vector must be power-of-two sized, (for example 2, 4, 8, 16, 32, etc.)